Page MenuHomePhabricator

Include hidden status in category RDF
Closed, ResolvedPublic

Description

In T157676 the first iteration of categories in RDF in the graph engine is being build. A nice addition would include if a category is hidden. On Commons we have normal "topic" categories that are not hidden like https://commons.wikimedia.org/wiki/Category:Haarlem and tracking categories for all sorts of things like https://commons.wikimedia.org/wiki/Category:Images_from_the_Rijksdienst_voor_het_Cultureel_Erfgoed or https://commons.wikimedia.org/wiki/Category:CC-BY-SA-4.0 . In a lot of cases when querying the category tree, for example when filtering out overcategorization ( T110833 ), being able to filter out these hidden categories is needed.

A lot of the other wiki's use hidden categories in a similar way. The hidden status of a category is already stored in a page_prop so some code can probably be re-used there (Wikibase page_props end up in RDF already).

Details

Related Gerrit Patches:
mediawiki/core : masterAdd more data to categories dump

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2017, 8:20 PM
Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.Oct 13 2017, 10:23 PM
Smalyshev moved this task from Waiting/Blocked to Doing on the User-Smalyshev board.

Change 392173 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/core@master] Add more data to categories dump

https://gerrit.wikimedia.org/r/392173

Smalyshev triaged this task as Medium priority.
Smalyshev closed this task as Resolved.Jan 17 2018, 9:57 PM

Change 392173 merged by jenkins-bot:
[mediawiki/core@master] Add more data to categories dump

https://gerrit.wikimedia.org/r/392173

Code is merged, will be deployed with next train (Feb 7) and the dump of Feb 12 should contain the new data.